
QGIS Application - Bug report #18394

QGIS 3 crashes when Processing dragged out of main window and then dragged back in

2018-03-08 06:44 PM - Garth Fletcher

Status: Closed

Priority: High

Assignee:

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: No

Operating System: Mac OS X 10.12.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26284

Description

Mac OS X 10.12.6 on Mac mini (Mid 2011) 2.3 GHz Intel Core i5, 8 GB 1600 MHz DDR3 RAM

QGIS3 starts up with its window containing:

left side

  Browser

  Layers {empty}

center top

  Recent Projects {showing 1 project}

right side

  Processing Toolbox {normal list}

Drag Processing Toolbox panel rightward out of main window {become independent window}

Drag Processing Toolbox window back into main window

QGIS3 crashes...

CrashDump file attached.

Same problem if a project is opened before moving Processing Toolbox panel.

Also if Processing Toolbox (PT) panel is closed and then reopened before moving it.

Also if PT closed, QGIS3 Quit, QGIS3 restarted - this time PT is not displayed at startup -

  but opening PT (opens as panel in main window), moving PT out, then back in crashes QGIS3.

Dragging Layers/Browser panel out of main window and then dragging it back in does not cause any problem, though it will only integrate

as a full-width panel above or below the Recent Projects section.

So problem appears specific to Processing Toolbox panel/window and independent of whether a Project is opened.

Used Category:Unknown because the other options did not seem to match.

History

#1 - 2018-03-08 06:46 PM - Giovanni Manghi

- Category changed from Unknown to Processing/Core

- Priority changed from Normal to High

#2 - 2018-03-08 08:46 PM - Richard Duivenvoorde

No Mac here, but cannot confirm on Debian/Linux.

#3 - 2018-03-08 11:07 PM - Garth Fletcher
Please let me know about any other tests or data which would help track down this issue.

I'm not knowledgeable enough to dig into the code, but I'm certainly willing to help run tests.

#4 - 2018-03-09 11:47 AM - Giovanni Manghi

Garth Fletcher wrote:

Please let me know about any other tests or data which would help track down this issue.

I'm not knowledgeable enough to dig into the code, but I'm certainly willing to help run tests.

does it happen only on your system or any other macOS computer?

#5 - 2018-03-12 04:49 AM - Garth Fletcher

- File 3_QGIS3_Log_Messages.txt added

- File 5_QGIS3_ProblemReporter_Open_Files_and_Ports.txt added

- File 4_QGIS3_Files.txt added

- File 2_QGIS3_start_problem_report.txt added

- File 1_QGIS3_port-log.txt added

Giovanni Manghi wrote:

  > does it happen only on your system or any other macOS computer?

Apologies for my delay in replying to your excellent question.  It turned out that none of the other 10 Macs on site were OS X 10.12 capable.

As an alternative approach I created a new OS X 10.12.6 system on a new drive, followed by a de novo build of QGIS3.  My reasoning was that since the

Mac mini I had been using was trouble-free with a wide range of programs, including QGIS 2.18.15, that it was OK as hardware, but the problem might lie

with system software.

Steps were:

1) download (Apple) and clean install of OS X 10.12.6 onto FW3T_A (no pre-existing System)

2) boot to FW3T_A & run Software Update until no more available

3) download (Apple) & install

   Xcode 9.2.xip

   Command Line Tools (macOS 10.12) for Xcode 9.2.dmg

4) Software Update (no updates found)

5) download (macports.org) & install MacPorts-2.4.2-10.12-Sierra.pkg

6) in Terminal

   $ sudo port selfupdate

   $ port info qgis3               {reports qgis3 @3.0.0_1 (gis) …}

   $ sudo port install qgis3

Log of qgi3 3 install in attached "1_QGIS3_port-log.txt"

Started QGIS3, 

 "Welcome to QGIS 3.0.0-Girona" window opens

   choose clean start {no import from QGIS 2}

 small green window, "loading GUI…" 

new window appears in front: “Problem Report for Qgis 3” 

   window is owned by "Problem Reporter" app, Parent Process: launchd,  User
   a crash log is actually created in 

  ~/Library/Logs/DiagnosticReports/Qgis3_2018-03-10-233353_Garths-Mac-mini.crash

      (whose contents match Problem Reporter window contents)

 the Problem Report for Qgis 3 window says:

 "Qgis3 quit unexpectedly

   Click Reopen to open the Application again.  This report will be sent to Apple automatically.

   > Comments

   Problem Details and System Configuration

followed by lengthy debugging information which is in attached "2_QGIS3_start_problem_report.txt"

However, QGIS3 has not actually crashed.

Its main window appears normal and is functional.

Furthermore, dragging Processing Toolbox out of main window and then back in now does NOT crash QGIS3 - so the clean system install has changed

something.

However, there are still errors and warnings in the Log Messages pane (as previously reported in #18381).

These Log Messages contents are in the attached "3_QGIS3_Log_Messages.txt"

Quitting and restarting QGIS3 has identical result, except without the "Welcome to QGIS 3.0.0-Girona" startup window.  First comes the small green

window, "loading GUI…" then the Problem Report window, then the main QGIS3 window. Each time a new ~/Library/Logs/DiagnosticReports/ report is

created without QGIS3 actually crashing.

Deleting the QGIS3 folder in ~/Library/Application\ Support/QGIS/ and restarting QGIS3 causes it to start with the "Welcome to QGIS 3.0.0-Girona" window

and to create a new QGIS3 folder, but otherwise same issues. Rebooting the system does not change anything.

A directory of ~/Library/Application\ Support/QGIS/QGIS3 is in the attached

"4_QGIS3_Files.txt".

The attached "5_QGIS3_ProblemReporter_Open_Files_and_Ports.txt" shows Activity Monitor info about the Problem Reporter app when it is displaying

the problem report.

I will try a clean QGIS3 rebuild on my original boot disk to see if that gets rid of the Processing Toolbox issue and report back.

However, it does seem that there are some significant issues reported in Log Messages "Python warning" and "Processing" panes.

Many thanks for any assistance you can provide!

#6 - 2018-05-16 06:04 PM - Alexander Bruy

Not reprodusible on Windows and Linux, probably a local issue.

#7 - 2018-05-16 06:21 PM - Garth Fletcher

Processing window problem does NOT occur in QGIS 3.0.2, so apparently got fixed.

Thanks.

#8 - 2018-10-19 03:59 PM - Peter Petrik

- Status changed from Open to Feedback
Unable to reproduce on MacOS 10.14 (18A391) with QGIS 3.3 master. Garth mentioned it cannot be reproduced with 3.0.2

#9 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#10 - 2019-02-11 04:21 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Files

Qgis3_2018-03-08-121334_MiniMac-i5.crash 90.6 KB 2018-03-08 Garth Fletcher

1_QGIS3_port-log.txt 71.7 KB 2018-03-12 Garth Fletcher

2_QGIS3_start_problem_report.txt 66.6 KB 2018-03-12 Garth Fletcher

3_QGIS3_Log_Messages.txt 39.2 KB 2018-03-12 Garth Fletcher

4_QGIS3_Files.txt 7.18 KB 2018-03-12 Garth Fletcher

5_QGIS3_ProblemReporter_Open_Files_and_Ports.txt 1.87 KB 2018-03-12 Garth Fletcher
